(height, percent, charge, low, lpm, m_color, b_color) {
	function draw_rRect( left, top, right, bottom, r ) {
		ctx.beginPath();
		ctx.moveTo( left + r, top );
		ctx.lineTo( right - r, top );
		ctx.arc( right - r, top + r, r, -pi/2, 0, false);
		ctx.lineTo( right,  bottom - r );
		ctx.arc( right - r, bottom - r, r, 0, pi/2, false);
		ctx.lineTo( left + r, bottom);
		ctx.arc( left + r, bottom - r, r, pi/2, pi, false);
		ctx.lineTo( left, top + r);
		ctx.arc( left + r, top + r, r, pi, pi*3/2, false);
		ctx.closePath();
		ctx.fill();
	}
	
	var canvas = document.createElement("canvas");
	canvas.height = height/2;
	canvas.width = canvas.height * 2.1;
	var ctx = canvas.getContext("2d");
	
	var r = height / 20;
	var m = height / 20;
	var p_Left = 0;
	var p_Right = canvas.height * 1.9;
	var p_Top = 0;
	var p_Bottom = canvas.height;
	var pi = Math.PI;
	
	var grad  = ctx.createLinearGradient( 0, 0, 0, canvas.height );
	grad.addColorStop( 0, "#434956" ); 
	grad.addColorStop( 1, "#41495C" ); 
	ctx.fillStyle = grad;
	draw_rRect( p_Right-r, p_Top + m*3, p_Right + m*2, p_Bottom - m*3, r );

	grad  = ctx.createLinearGradient( 0, 0, 0, canvas.height );
	grad.addColorStop( 0, "#2F3648" ); 
	grad.addColorStop( 1, "#7B828F" ); 
	ctx.fillStyle = grad;
	draw_rRect( p_Left, p_Top, p_Right, p_Bottom, r );

	grad  = ctx.createLinearGradient( 0, p_Top + m*3 + r, 0, p_Bottom - m*3 - r );
	grad.addColorStop( 0, "#FDFDFD" ); 
	grad.addColorStop( 1, "#898989" ); 
	ctx.fillStyle = grad;
	draw_rRect( p_Right, p_Top + m*3 + r, p_Right + m, p_Bottom - m*3 - r , 0 );

	grad  = ctx.createLinearGradient( 0, p_Top+r, 0, p_Bottom-r );
	grad.addColorStop( 0, "#4D4D4D" ); 
	grad.addColorStop( 3/16, "#4D4D4D" ); 
	grad.addColorStop( 14/16, "#C5C5C5" ); 
	grad.addColorStop( 1, "#C5C5C5" ); 
	ctx.fillStyle = grad;
	draw_rRect( p_Left+r, p_Top+r, p_Right-r, p_Bottom-r, 0 );

	var rectWidth =  (p_Right-p_Left-r*2) * percent / 100;
	grad  = ctx.createLinearGradient( 0, p_Top+r, 0, p_Bottom-r );
	grad.addColorStop( 1/16, "#70D83A" );
	grad.addColorStop( 2/16, "#93E75D" );
	grad.addColorStop( 3/16, "#BDF886" );
	grad.addColorStop( 4/16, "#C5FF8D" );
	grad.addColorStop( 5/16, "#C5FF86" );
	grad.addColorStop( 6/16, "#B6FA76" );
	grad.addColorStop( 7/16, "#A3F163" );
	grad.addColorStop( 8/16, "#86E249" );
	grad.addColorStop( 9/16, "#63CC2B" );
	grad.addColorStop( 10/16, "#52BC1E" );
	grad.addColorStop( 11/16, "#43AA15" );
	grad.addColorStop( 12/16, "#35990E" );
	grad.addColorStop( 13/16, "#2B8C0A" );
	grad.addColorStop( 14/16, "#278608" );
	grad.addColorStop( 15/16, "#349312" );
	grad.addColorStop( 16/16, "#44A31D" );
	ctx.fillStyle = grad;
	draw_rRect( p_Left+r, p_Top+r, p_Left+r+rectWidth, p_Bottom-r, 0 );

	grad  = ctx.createLinearGradient( p_Left+r, 0, p_Left+r+rectWidth, 0 );
	var wp = r/rectWidth;
	grad.addColorStop( 0, "rgba( 255, 255, 255, 0.3 )" ); 
	grad.addColorStop( wp, "rgba( 255, 255, 255, 0.0 )" ); 
	grad.addColorStop( 1-wp, "rgba( 255, 255, 255, 0.0 )" ); 
	grad.addColorStop( 1, "rgba( 255, 255, 255, 0.3 )" ); 
	ctx.fillStyle = grad;
	draw_rRect( p_Left+r, p_Top+r, p_Left+r+rectWidth, p_Bottom-r, 0 );

	if( charge == true && percent < 100 ) {
		ctx.fillStyle="black";
		ctx.shadowColor="white";
		ctx.shadowBlur = r;
		ctx.shadowOffsetY = 1;
		ctx.beginPath();
		ctx.moveTo( r+m*11.5, r );
		ctx.lineTo( r+m*9, r+m*3.5 );
		ctx.lineTo( r+m*13, r+m*3.5 );
		ctx.lineTo( r+m*5.5, r+m*8 );
		ctx.lineTo( r+m*8, r+m*4.5 );
		ctx.lineTo( r+m*4, r+m*4.5 );
		ctx.closePath();
		ctx.fill();
	}

	if( charge == true && percent == 100 ) {
		ctx.fillStyle="black";
		ctx.shadowColor="white";
		ctx.shadowBlur = r;
		ctx.shadowOffsetY = 1;
		ctx.beginPath();
		ctx.moveTo( r+m*2, r+m*3 );
		ctx.lineTo( r+m*6, r+m*3 );
		ctx.lineTo( r+m*8, r+m*1 );
		ctx.lineTo( r+m*12, r+m*1 );
		ctx.lineTo( r+m*12, r+m*2 );
		ctx.lineTo( r+m*14, r+m*2 );
		ctx.lineTo( r+m*14, r+m*3 );
		ctx.lineTo( r+m*12, r+m*3 );
		ctx.lineTo( r+m*12, r+m*5 );
		ctx.lineTo( r+m*14, r+m*5 );
		ctx.lineTo( r+m*14, r+m*6 );
		ctx.lineTo( r+m*12, r+m*6 );
		ctx.lineTo( r+m*12, r+m*7 );
		ctx.lineTo( r+m*8, r+m*7 );
		ctx.lineTo( r+m*6, r+m*5 );
		ctx.lineTo( r+m*2, r+m*5 );
		ctx.closePath();
		ctx.fill();
	}

	return canvas.toDataURL("image/png");
}
